Package net.paulhertz.pixelaudio.sampler

# Enum Class PASharedBufferSampler.MixProfile

java.lang.Object
java.lang.Enum<PASharedBufferSampler.MixProfile>
net.paulhertz.pixelaudio.sampler.PASharedBufferSampler.MixProfile

All Implemented Interfaces:
  `Serializable`, `Comparable<PASharedBufferSampler.MixProfile>`, `Constable`

Enclosing class:
  PASharedBufferSampler

public static enum PASharedBufferSampler.MixProfile extends Enum<PASharedBufferSampler.MixProfile>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BALANCED`
  `PROTECTIVE`
  `TRANSPARENT`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final float`
  `alpha`
  smoothing coefficient for mixNorm
  `final float`
  `drive`
  drive for softClipSoftsign
  `final float`
  `normExponent`
  targetNorm = 1 / activeWeight^normExponent
  `final float`
  `releaseWeight`
  How much a releasing voice contributes to density.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `MixProfile(float normExponent, float alpha, float drive, float releaseWeight)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PASharedBufferSampler.MixProfile`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PASharedBufferSampler.MixProfile[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TRANSPARENT

    public static final PASharedBufferSampler.MixProfile TRANSPARENT

  - ### BALANCED

    public static final PASharedBufferSampler.MixProfile BALANCED

  - ### PROTECTIVE

    public static final PASharedBufferSampler.MixProfile PROTECTIVE

- ## Field Details

  - ### normExponent

    public final float normExponent
    targetNorm = 1 / activeWeight^normExponent

  - ### alpha

    public final float alpha
    smoothing coefficient for mixNorm

  - ### drive

    public final float drive
    drive for softClipSoftsign

  - ### releaseWeight

    public final float releaseWeight
    How much a releasing voice contributes to density. 1.0 = count fully like active voices 0.0 = ignore release tails in density estimate

- ## Constructor Details

  - ### MixProfile

    private MixProfile(float normExponent, float alpha, float drive, float releaseWeight)

- ## Method Details

  - ### values

    public static PASharedBufferSampler.MixProfile[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PASharedBufferSampler.MixProfile valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null